Problems setting things up.



  • Hi,

    I'm having severe problems setting up HaxeFlixel on Windows 7. I've tried to follow all the setup mentioned in the getting started guide but my setup has several problems in my opinion. I've checked with haxelib list and returns:

    actuate: 1.8.6 [1.8.7]
    box2d: [1.2.3]
    clearlibs: [1.0.6]
    flixel-addons: 1.1.0 [2.1.0]
    flixel-demos: 1.1.2 [2.2.0]
    flixel-templates: 1.0.2 [2.0.2]
    flixel-tools: 1.1.1 [1.1.3]
    flixel-ui: 1.0.2 [2.1.0]
    flixel: 3.3.11 4.1.0 [4.1.1]
    haxelib: [3.3.0]
    hxcpp: 3.2.193 [3.3.49]
    layout: [1.2.1]
    lime-samples: [2.6.0]
    lime: [3.0.3]
    openfl-samples: 3.3.1 [4.0.0]
    openfl: 3.4.0 [4.0.3]
    swf: 2.1.3 [2.2.3]
    task: [1.0.7]

    I had several disconnects from internet while downloading these, mostly during lime installation, so I've removed it with haxelib remove lime (I think) and re installed it but it didn't change anything.

    When I try a project in HaxeDevelop, it says: "Error: Could not find haxelib "flixel", does it need to be installed?".

    I was willing to remove anything and install everything from scratch but could not find how to do so.

    Also when I try flixel tpl -n "FlixelTut" it returns: Error loading templates, please run 'flixel download'.

    I've tried haxelib install flixel and it says it's already installed.

    I've tried haxelib upgrade, says everything is up to date.

    tried haxelib --global update haxelib, returning that haxelib is up to date.

    EDIT:
    I've tried haxelib path flixel and it returned lime version 2.9.1 is not installed!

    I would appreciate any help.

    Cheers.



  • Now it says:
    Flixel is currently incompatible with OpenFL 4.0.0 or above. Please use version 3.6.1 or older.



  • It's working now. I removed and reinstalled flixel and it did install lime 2.9.1 with it.

    Thanks


  • administrators

    Note for future readers who might stumble upon this topic, you could have downgraded Lime and OpenFL running these commands (without needing to reinstall flixel):

    haxelib set lime 2.9.1
    haxelib set openfl 3.6.1
    

Log in to reply